# Services Directory

This directory contains all the microservices for the Discord Voice Translator.

## Services Overview

- **recorder/**: Discord bot that captures voice from channels
- **audio-processor/**: Converts PCM to optimized WAV files  
- **whisper-service/**: GPU-accelerated speech-to-text transcription
- **translator/**: Multi-language translation service
- **transcriber/**: Workflow orchestrator and Discord message sender
- **dashboard/**: Web interface for monitoring and management

Each service is containerized and communicates via Redis message queues and REST APIs.
